Sunday, January 27, 2008

Update uTorrent Before Its Too Late

uTorrent, one of the most popular BitTorrent download clients available on the web, must be updated as soon as possible as a new vulnerability has been discovered in the application. SecurityFocus today reported that certain releases of both BitTorrent and uTorrent include a "peers windows remote denial of service vulnerability."

According to the report, uTorrent 1.7.5, 1.6.1, 1.6 and BitTorrent 6.0 are all affected by the glitch, but previous versions might be also vulnerable. The only version which seems to be avoided by the vulnerability is uTorrent 1.7.6, so users of this release can employ their BitTorrent client as safe as anytime before.

If you want to download the latest uTorrent release, you can take it straight from the following link. Also, the newest version of BitTorrent can be found here.


Digg Technorati Stumbleupon Reddit Blinklist Furl Spurl Yahoo Simpy

No comments:

Related Posts :